> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merciasquill.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Access Token



## OpenAPI

````yaml post /discord/authentication/access-token
openapi: 3.0.0
info:
  title: discord
  version: 1.0.0
servers:
  - url: https://api.merciasquill.com
security:
  - ApiKeyAuth: []
paths:
  /discord/authentication/access-token:
    post:
      tags:
        - discord_authentication_access-token
      summary: public
      parameters:
        - name: force
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: raw_data
          in: query
          description: ''
          required: false
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/public'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  token_type:
                    type: string
                  access_token:
                    type: string
                  refresh_token:
                    type: string
                  expires_in:
                    type: integer
                  scopes:
                    type: array
                    items:
                      type: string
              examples:
                example:
                  value:
                    token_type: Bearer
                    access_token: '*********************************************************'
                    refresh_token: '******************************'
                    expires_in: 604800
                    scopes:
                      - identify
                  summary: example
                example_raw:
                  value:
                    token_type: Bearer
                    access_token: '*********************************************************'
                    expires_in: 604800
                    refresh_token: '******************************'
                    scope: identify
                  summary: example_raw
components:
  requestBodies:
    public:
      content:
        application/x-www-form-urlencoded:
          schema:
            $ref: '#/components/schemas/public'
      description: ''
      required: true
  schemas:
    public:
      type: object
      properties:
        refresh_token:
          type: object
          properties:
            type:
              type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.